{
  "$schema": "https://schemas.wp.org/trunk/block.json",
  "apiVersion": 3,
  "name": "create-block/gradient-link-card",
  "version": "0.1.0",
  "title": "Gradient Link Card",
  "category": "widgets",
  "icon": "button",
  "description": "A link displayed as a card with text and a cool gradient hover effect",
  "supports": {
    "html": false,
    "color": {
      "gradients": true
    }
  },
  "attributes": {
    "title": {
      "type": "string",
      "source": "text",
      "selector": "h2"
    },
    "href": {
      "type": "string",
      "source": "attribute",
      "selector": "a",
      "attribute": "href"
    },
    "body": {
      "type": "string",
      "source": "text",
      "selector": "p"
    },
    "style": {
      "type": "object",
      "default": {
        "color": {
          "gradient": "linear-gradient(45deg, hsl(348deg 79% 81%) 0%, hsl(336deg 73% 81%) 21%, hsl(321deg 61% 80%) 30%, hsl(296deg 47% 79%) 39%, hsl(269deg 64% 82%) 46%, hsl(244deg 82% 85%) 54%, hsl(224deg 99% 83%) 61%, hsl(211deg 100% 78%) 69%, hsl(203deg 100% 73%) 79%, hsl(197deg 94% 67%) 100%)"
        }
      }
    }
  },
  "textdomain": "gradient-link-card",
  "editorScript": "file:./index.js",
  "editorStyle": "file:./index.css",
  "style": "file:./style-index.css"
}